"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _services = _interopRequireDefault(require("./services"));

var _default = () => {
  let config = null;

  for (const service of _services.default) {
    const result = service(process.env);

    if (result !== null) {
      config = result;
      break;
    }
  }

  if (config === null) {
    throw new Error('No CI service was found');
  }

  return { ...config,
    package: 'codecov-node-lite',
    token: process.env.CODECOV_TOKEN
  };
};

exports.default = _default;