"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _querystring = _interopRequireDefault(require("querystring"));

var _got = _interopRequireDefault(require("got"));

var _getConfig = _interopRequireDefault(require("./getConfig"));

const ENDPOINT = 'https://codecov.io/upload/v2';
const TIMEOUT = 10000;
const RETRIES = 3;

var _default = async data => {
  const config = (0, _getConfig.default)();

  const queryString = _querystring.default.stringify(config);

  const postURL = `${ENDPOINT}?${queryString}`;
  const {
    body
  } = await _got.default.post(postURL, {
    headers: {
      'Content-Type': 'text/plain',
      Accept: 'text/plain'
    },
    timeout: TIMEOUT,
    retry: {
      limit: RETRIES,
      calculateDelay: ({
        attemptCount
      }) => attemptCount * 3000
    },
    body: data
  });
  return {
    reportURL: body.split('\n')[1],
    config
  };
};

exports.default = _default;